Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm.plugins.tyrex
Class ResourceRemote

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  org.jboss.tm.plugins.tyrex.ResourceRemote

All Implemented Interfaces:
  Remote, org.jboss.tm.plugins.tyrex.ResourceRemoteInterface, Serializable

public class ResourceRemote
extends UnicastRemoteObject
implements org.jboss.tm.plugins.tyrex.ResourceRemoteInterface

RMI Remote Proxy that enables the Coordinator on the originating side to control the subordinate transaction

Version:
  $Revision: 1.4 $
Author:
  Anatoly Akkerman
See Also:
  `ResourceRemoteInterface, ResourceInvoker, CoordinatorRemote`, Serialized Form

Field Summary

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`protected` | `ResourceRemote(Resource resource)`

Method Summary
`void` | `commit_one_phase()`
`void` | `commit()`
`void` | `forget()`
`Vote` | `prepare()`
`void` | `rollback()`

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceRemote

    protected ResourceRemote(Resource resource)
                      throws RemoteException

Method Detail

### prepare

    public Vote prepare()
                 throws HeuristicMixed,
                        HeuristicHazard,
                        RemoteException

  Specified by:
    `prepare` in interface `org.jboss.tm.plugins.tyrex.ResourceRemoteInterface`
  Throws:
    `HeuristicMixed`
    `HeuristicHazard`
    `RemoteException`

### rollback

    public void rollback()
                  throws HeuristicCommit,
                         HeuristicMixed,
                         HeuristicHazard,
                         RemoteException

  Specified by:
    `rollback` in interface `org.jboss.tm.plugins.tyrex.ResourceRemoteInterface`
  Throws:
    `HeuristicCommit`
    `HeuristicMixed`
    `HeuristicHazard`
    `RemoteException`

### commit

    public void commit()
                throws NotPrepared,
                       HeuristicRollback,
                       HeuristicMixed,
                       HeuristicHazard,
                       RemoteException

  Specified by:
    `commit` in interface `org.jboss.tm.plugins.tyrex.ResourceRemoteInterface`
  Throws:
    `NotPrepared`
    `HeuristicRollback`
    `HeuristicMixed`
    `HeuristicHazard`
    `RemoteException`

### commit_one_phase

    public void commit_one_phase()
                          throws HeuristicHazard,
                                 RemoteException

  Specified by:
    `commit_one_phase` in interface `org.jboss.tm.plugins.tyrex.ResourceRemoteInterface`
  Throws:
    `HeuristicHazard`
    `RemoteException`

### forget

    public void forget()
                throws RemoteException

  Specified by:
    `forget` in interface `org.jboss.tm.plugins.tyrex.ResourceRemoteInterface`
  Throws:
    `RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.